/* ---- batch file to enable QT environment for dooble ----- */
call RxFuncAdd 'SysSetPriority', 'RexxUtil', 'SysSetPriority'
env 	= 'OS2ENVIRONMENT'
OSlog	= Strip(value('LOGFILES',,env))	/* get log path	     */	    
/* --------------------- clear screen ---------------------- */
'@cls'

/* --------- Priority settings parameters (HELP) ----------- 
Class, The new priority class of the process.
(process, priority) - Possible values are: 

0 No change (leave as-is). 
1 Idle-time priority. 
2 Regular priority. 
3 Time-critical priority. 
4 Foreground server (fixed high) priority.   

delta The change to apply to the process's current base
priority level.
This value must fall within the range of -31 to +31. 
----------------------------------------------------------- */
Tprocess 	 = "0 3 2 1 4"		/* Type process     */	
Pprocess 	 = "0 1 0 4 0"		/* Priority process */
Silent_trap	 = "N"			/*    Y or N        */     	 
dooble_stdout	 = OSlog||"\dooble.log" /* error log file   */
dooble_parameters= "--ignore-certificate-errors"||,
		   " --ignore-ssl-errors"||,
		   " --log-level=1"||,
		   " --audio-process-high-priority" 
/* --------- set priorities accordings flags -------------- */  
Do p=1 for words(Tprocess)
        If word(Pprocess,p)\=0 then do  
		rc=SysSetPriority(word(Tprocess,p),word(Pprocess,p))
		If rc\=0 then Call errorout
	End
End 
signal enable_env

errorout:
Select
	when p=0 then p="No change (leave as-is)" 
	when p=1 then p="Idle-time priority" 
	when p=2 then p="Regular priority" 
	when p=3 then p="Time-critical priority" 
	when p=4 then p="Foreground server (fixed high) priority"
	Otherwise p=""
End
If p\="" then say "Error setting >" p " rc=" rc
Else say "rc=" Rc "received for undefined process type!"
exit

enable_env:
/* ------ rem the @echo off line to see the output ------- */
'@REM'
'@ECHO off'

/* ---------------------------------------------------------
   point QT6_DIR to where you have installed the QT6 tree 
   Copy Dooble.* into %QT6_DIR%\qt6-6.2.x  ...  
---------------------------------------------------------- */
'set QT6_DIR=W:'
'set PATH=%QT6_DIR%\qt6-6.2.x\bin;%PATH%'
'set BEGINLIBPATH=%QT6_DIR%\qt6-6.2.x\lib;%BEGINLIBPATH%'

/* ---------------------------------------------------------
   point %DOOBLE_HOME% to where you want the QT6 version of
   Dooble to store its profile.
   point %DOOBLE_TRANSLATION_PATH% to where Translations are
   point %QTWEBENGINE_DICTIONARIES_PATH% to existing QT path	
---------------------------------------------------------- */
'set DOOBLE_HOME=%QT6_DIR%\qt6-6.2.x'
'set DOOBLE_TRANSLATION_PATH=%QT6_DIR%\usr\share\dooble\Translations'
'set QTWEBENGINE_DICTIONARIES_PATH=%QT6_DIR%\qt6-6.2.x\qtwebengine_dictionaries'

/* ---------------------------------------------------------
 these are the same as command line arguments
 and should not be needed eventually.
---------------------------------------------------------- */
'set QTWEBENGINE_CHROMIUM_FLAGS="--disable-gpu '||dooble_parameters||'"'

/*  Use next line with LIBCN0 generating silent close TRP  */ 
If Silent_trap="Y" then 'set EXCEPTQ=Z'

/*  Now running Dooble using previous environment settings */  
'Dooble.exe 2>'||dooble_stdout
